<%@ page language="java" contentType="text/html; charset=ISO-8859-2" pageEncoding="ISO-8859-2"%>
<%@ page import="java.util.*,java.text.DateFormat,java.text.DateFormatSymbols,calendar1.*" %>
<%!Calendar cal = Calendar.getInstance();%>
<%!String[] monthNames = {"Stycze", "Luty", "Marzec", "Kwiecie", "Maj",
        "Czerwiec", "Lipiec", "Sierpie", "Wrzesie", "Padziernik",
        "Listopad", "Grudzie"};%>
<%!public final static int[] daysInMonth = {31, 28, 31, 30, 31, 30, 31, 31,
        30, 31, 30, 31};%>
<%!String[] dayNames = {"", "Pon", "Wto", "ro", "Czw", "Pi", "Sob", "Nie"};%>
<%
    GregorianCalendar t = new GregorianCalendar();
    int thisDay = t.get(Calendar.DAY_OF_MONTH);
    int thisMonth = t.get(Calendar.MONTH);
    int thisYear = t.get(Calendar.YEAR);
    int month = -1;
    int year = -1;
    String m = request.getParameter("month");
    String y = request.getParameter("year");
    if (m != null) {
        month = Integer.parseInt(m);
    } else {
        month = thisMonth;
    }
    if (y != null) {
        year = Integer.parseInt(y);
    } else {
        year = thisYear;
    }
    cal.set(year, month, 1);
%>
<!DOCTYPE html>	
<html>
    <head>
          <title>Kalendarz</title>
        <style type="text/css">
            .red {
                color: #FF0000;
            }
        </style>
        <script type="text/javascript">

            var yy;
            var mm;
            var dd;
            var $ = function (id) {
                return document.getElementById(id);
            };
            var sub = function () {
                yy = $("year").value;
                mm = $("month").value;
                $("myform").submit();
            };
            window.onload = function () {
                var httpRequest;
                var dateOfEvent;
                $("month").onchange = sub;
                $("year").onchange = sub;
                yy = $("year").value;
                mm = $("month").value;
                var tds = document.getElementsByTagName("td");
                for (var i = 0; i < tds.length; i++) {
                    tds[i].onmouseover = findDay;
                    tds[i].onmouseout = loDay;
                }

            };
            var findDay = function () {
                if (parseInt(this.textContent)) {
                    if (parseInt(this.textContent) > 0) {
                        dd = parseInt(this.textContent);
                        dateOfEvent = yy + "-" + mm + "-" + dd;
                        sendDate();
                    }
                }

            };
            var loDay = function () {
                dd = 0;
                $("result").innerHTML = "";

            };
            var sendDate = function () {
                httpRequest = new XMLHttpRequest();
                httpRequest.onreadystatechange = getEvents;
                httpRequest.open("Get", "/calenw/calen1?dateOfEvent=" + escape(dateOfEvent),
                        true);
                httpRequest.setRequestHeader("Cache-Control", "no-cache");
                httpRequest.send();
            };
            var getEvents = function () {
                if (httpRequest.readyState === 4 && httpRequest.status === 200) {
                    $("result").innerHTML = httpRequest.responseText;
                }
            };
        </script>
    </head>

    <body>
        <h1>Kalendarz wydarze</h1>
        <form method="get" action="" id="myform" style="margin-left:50px;">
            <select name="month" id="month">
                <%
                    // Print all the options
                    for (int i = 0; i < 12; i++) {
                        out.print("<option value=\"" + i + "\"");
                        if (i == month) {
                            out.print(" selected=\"true\"");
                        }
                        out.println(">" + monthNames[i] + "</option>");
                    } // end for-loop
                %>
            </select> <select name="year" id="year">
                <%
                    for (int i = 2010; i < 2027; i++) {
                        out.print("<option value=\"" + i + "\"");
                        if (i == year) {
                            out.print(" selected=\"true\"");
                        }
                        out.println(">" + i + "</option>");
                    }
                %>
            </select>
            <%-- <input type="submit" value="Submit"> --%>
        </form>
        <table border="1" style="float:left;">
            <tr bgcolor="silver" align="center">
                <td colspan="7">&nbsp;<font size="+2"> <%=monthNames[cal.get(Calendar.MONTH)] + " " + year%></font>
                </td>
            </tr>
            <tr bgcolor="black" align="center">
                <%
                    for (int i = 1; i < 8; i++) {
                        out.print("<td width=\"30\">");
                        out.print("<font size=\"-1\" color=\"white\">");
                        out.print(dayNames[i]);
                        out.println("</font></td>");
                    }
                %>
            </tr>

            <%
                Calendar beginOfMonth = Calendar.getInstance();
                beginOfMonth.set(year, month, -1);
                int[] swieta = calendar1.CalendarUtil.swieta(month + 1, year);
                int startCell = beginOfMonth.get(Calendar.DAY_OF_WEEK);
                int endCell = daysInMonth[month] + startCell - 1;
                if (month == Calendar.FEBRUARY
                        && ((GregorianCalendar) cal).isLeapYear(year)) {
                    endCell++;
                }
                for (int cellNo = 0, day = 1; cellNo < 42; cellNo++) {
                    if (cellNo % 7 == 0) {
                        out.println("<tr>");
                    }
                    out.print("<td  valign=\"center\" align=\"center\" height=\"30\"");
                    if (cellNo < startCell || cellNo > endCell) {
                        out.print(" bgcolor=\"#999999\">&nbsp;");
                    } else {
                        if (day == thisDay && month == thisMonth && year == thisYear) {
                            out.print(" bgcolor=\"#fle069\"");
                        }
                        if ((cellNo + 1) % 7 == 0) {
                            out.println("><b><span class=\"red\">" + day
                                    + "</span></b>");
                        } else {
                            if (calendar1.CalendarUtil.isSwieto(swieta, day)) {
                                out.println("><b><span class=\"red\">" + day
                                        + "</span></b>");
                            } else {
                                out.print("><b>" + day + "</b>");
                            }
                        }
                        day++;
                    }
                    out.println("</td>");
                    if ((cellNo + 1) % 7 == 0) {
                        out.println("</tr>");
                    }
                }
            %>
        </table>
        <div style="margin-left:280px;">
            <h4>Zdarzenia (najed mysz na interesujc Ci dat):</h4>
            <p id="result" ></p>
        </div>

    </body>
</html>