package calendar1;

import java.io.*;
import jakarta.servlet.*;
import jakarta.servlet.http.*;

public class CalendarServlet1 extends HttpServlet{
	private static final long serialVersionUID = 7772065702934658508L;

	protected void process(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		String dateOfEvent = request.getParameter("dateOfEvent");
		String[] spl = dateOfEvent.split("-");
		Swieto[] swietaDzisiaj = CalendarUtil.swietaDzisiaj(
				Integer.parseInt(spl[0]), Integer.parseInt(spl[1]) + 1,
				Integer.parseInt(spl[2]));
		response.setContentType("text/html");
		response.setHeader("Cache-Control", "no-cache");
		response.setCharacterEncoding("utf-8");
            try (PrintWriter pw = response.getWriter()) {
                if(swietaDzisiaj.length > 0){
                    for (Swieto swietaDzisiaj1 : swietaDzisiaj) {
                        pw.println("<p>" + swietaDzisiaj1.getNazwa() + "<p>");
                    }
                }
                else{
                    pw.println("<p>Dzień bez świąt<p>");
                }
            }
	}

	@Override
	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		process(request, response);
	}

	@Override
	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		process(request, response);
	}

	@Override
	public String getServletInfo() {
		return "Kalendarz Wydarzeń.";
	}
}