package calendar1;

import java.util.Objects;

public class Swieto{
	private String nazwa;
	private int miesiac;
	private int dzien;

	public Swieto(String nazwa, int dzien, int miesiac){
		this.nazwa = nazwa;
		this.miesiac = miesiac;
		this.dzien = dzien;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		Swieto swieto = (Swieto) o;
		return miesiac == swieto.miesiac && dzien == swieto.dzien && nazwa.equals(swieto.nazwa);
	}

	@Override
	public int hashCode() {
		return Objects.hash(nazwa, miesiac, dzien);
	}

	public String getNazwa() {
		return nazwa;
	}

	public void setNazwa(String nazwa) {
		this.nazwa = nazwa;
	}

	public int getMiesiac() {
		return miesiac;
	}

	public void setMiesiac(int miesiac) {
		this.miesiac = miesiac;
	}

	public int getDzien() {
		return dzien;
	}

	public void setDzien(int dzien) {
		this.dzien = dzien;
	}

	@Override
	public String toString() {
		return nazwa + " " + dzien + " " + miesiac;
	}
}
